/*
 * Copyright (c) 2003-2005 by cisco Systems, Inc.
 * All rights reserved.
 */

var title = ""
var time = ""
var hostname = ""
var product = <!--#exec cmd="show dot11 html-support model"-->
var platform_capabilities = '<!--#exec cmd="show dot11 html-support platform-cap"-->';
var radio_station_role = '<!--#exec cmd="show dot11 html-support radio-role"-->';
var inline_power = '<!--#exec cmd="show dot11 html-support inline-power"-->';
var inline_power_split = inline_power.split(":");
var sntp = '<!--#exec cmd="show sntp"-->';
var clockTime = '<!--#exec cmd="show clock"-->';
var sysUptime = '<!--#exec cmd="show dot11 html-support uptime"-->';

hostname = find_string(/uptime/,DLIM_WhSp,0, sysUptime);
if (token_string(DLIM_WhSp, 10, sntp) == "Synced") {
	time = clockTime.match(/\d{2}:\d{2}:\d{2}/);
    time += " " + clockTime.match(/ \w{3} \w{3} \d{1,2} \d{4}/);
} else {
	time = grep_string(/uptime/,sysUptime);
}

if (product.match("AIR-BR") || product.match("ORVAL")) {
    title = "Cisco IOS Series Bridge"
} else {
    title = "Cisco IOS Series AP"
}

if (hasCapability("PWR_NEGO")) {
  var inline_power_warning = "WARNING:\n"+inline_power_split[1]+" due to insufficient inline power.\n";
      inline_power_warning += "Upgrade inline power source or install power injector.\n\n";
      inline_power_warning += "Click Cancel to continue loading current page.\n";
      inline_power_warning += "Click OK to jump to System Power Settings.\n";
  if (inline_power_split[0] == "WARNING") {
    if (inline_power_split[1] != "NOT_YET_DETECTED") {
      if (!location.pathname.match("ap_system-sw_sysconfig.shtml")) {
        if (confirm(inline_power_warning)) {
	  location.replace("ap_system-sw_sysconfig.shtml");
	}
      }
    }
  }
}

function hasCapability(capability) {
   if (platform_capabilities.match(":"+capability+":TRUE")) return true;
   else return false;
}

function isPegasus() {
   if (product.match("AIR-BR14")) return true;
   else return false;
}

function is1300() {
   if (product.match("AIR-BR13") || product.match("ORVAL") ) return true;
   else return false;
}

function isBridge() {
   if (isPegasus() || is1300()) return true;
   else return false;
}

function is350() {
   if (product.match("AIR-AP350")) return true;
   else return false;
}

function is1100() {
   if (product.match("AIR-AP110")) return true;
   else return false;
}

function is1130() {
   if (product.match("AIR-AP113")) return true;
   else return false;
}

function is1200() {
   if (product.match("AIR-AP12")) return true;
   else return false;
}

function childMenu(exist, current, target, nameMenu, nameCLI)
{
  document.write('<tr><td colspan="4" bgcolor="003333"><img src="images/pixel.gif" alt="" border="0" width="1" height="1"></td></tr>');
  document.write('<tr><td bgcolor="#cccccc" background="images/apps_leftnav_yellow.gif">&nbsp;</td>');
  document.write('<td bgcolor="#cccccc">&nbsp;</td>');
  document.write('<td bgcolor="#cccccc">');
  if (exist) {
    if (current) {
      document.write('<a href='+target+' class="apphinavchild">');
      document.write(nameMenu);
    } else {
      document.write('<a href='+target+' class="apphinavchildlink">');
      document.write(nameMenu);
    }
    document.write('</a>');
  } else {
    document.write('<font color="#666666" face="Arial, Helvetica, sans-serif" size="2">');
    document.write(nameMenu);
    document.write('</font>');
  }
  document.write('</td><td bgcolor="#cccccc">&nbsp;</td></tr>');
}

function mainMenu(target,nameMenu, plus){

  document.write('<tr>')
  document.write('<td bgcolor="#669999" background="images/apps_leftnav_green.gif"><img src="images/pixel.gif" alt="" width="8" height="17" border="0"></td>')
  document.write('<!-- note the double href tag to make the whole table cell a link in IE -->')
  document.write('<td colspan="2" bgcolor="#669999"><a href="#"></a><a href="' + target + '" class="apphinavpeer">' + nameMenu +'</a></td>')
  if(plus){
    document.write('<td bgcolor="#669999" width="33" >')
    document.write('<div align="center"><img src="images/pixel.gif" alt="" border="0" width="1" height="1"><img src="images/hinav_plus.gif" width="13" height="7"></div>')
    document.write('</td>')
  }else{
    document.write('<td bgcolor="#669999" >')
    document.write('<div align="center"><img src="images/pixel.gif" alt="" border="0" width="1" height="1"></div>')
    document.write('</td>')
  }
  document.write('</tr>')
  document.write('<tr>')
  document.write(' <td colspan="4" bgcolor="003333"><img src="images/pixel.gif" alt="" border="0" width="1" height="1"></td>')
  document.write('</tr>')

}

// input :
//   radioInt = ["Dot11Radio-Any" | "Dot11Radio#"]
//   role = ["AP-ROOT" | "CLIENT" | "CLIENT-WGB" | "BRIDGE-ROOT" | ... ]

function isRadioRole(radioInt, role) {

  var pattern;
  var results;

  radioInt = radioInt == "Dot11Radio-Any" ? "Dot11Radio\\d+" : radioInt;
  pattern = radioInt + ":[^\\r\\n]+:(" + role + ");";
  results = radio_station_role.match(pattern);

  if (results)
      return true;
  else
     return false;
}

// input :
//   radioInt = ["Dot11Radio-Any" | "Dot11Radio#"]

function isRadioRoleAP(radioInt) {
  return isRadioRole(radioInt, "AP-ROOT|AP-ROOT-FALLBACK-SHUTDOWN|AP-ROOT-FALLBACK-REPEATER");
}

function radioRole(radio, roleStr, role) {
  return isRadioRole("Dot11Radio" + radio, role);
}


// ture - if 1300 radio 0 station role is one of the following:
// station-role root ap-only [fallback <repeater|shutdown>]

function is1300RoleAP(roleCmdLine) {

    if (radioRole(0, roleCmdLine, "AP-ROOT")
        || radioRole(0, roleCmdLine, "AP-ROOT-FALLBACK-SHUTDOWN")
        || radioRole(0, roleCmdLine, "AP-ROOT-FALLBACK-REPEATER"))
    {
        return true;
    }
    return false;

}

// ture - if 1300 radio 0 station role is one of the following:
// station-role non-root

function is1300RoleNonRootBr(roleCmdLine) {

    return radioRole(0, roleCmdLine, "CLIENT");
}

// ture - if 1300 radio 0 station role is one of the following:
// station-role root

function is1300RoleRootBr(roleCmdLine) {

    return radioRole(0, roleCmdLine, "BRIDGE-ROOT");
}

// ture - if 1300 radio 0 station role is one of the following:
// station-role install <root|automatic>
// In case automatic is selected to root

function is1300RoleInstallRootBr(roleCmdLine) {
  if (radioRole(0, roleCmdLine, "BRIDGE-ROOT-MANUALINSTALL")
      || radioRole(0, roleCmdLine, "BRIDGE-ROOT-AUTOINSTALL")) 
   {
      return true;
   }
   return false;
}

// ture - if 1300 radio 0 station role is one of the following:
// station-role install <non-root|automatic>
// In case automatic is selected to non-root

function is1300RoleInstallNonRootBr(roleCmdLine) {
  if (radioRole(0, roleCmdLine, "CLIENT-AUTOINSTALL") 
      || radioRole(0, roleCmdLine, "CLIENT-MANUALINSTALL")) 
  {
     return true;
  }
  return false;
}

// ture - if 1300 radio 0 station role is one of the following:
// station-role install <root|non-root|automatic>

function is1300RoleInstall(roleCmdLine) {
  if (is1300RoleInstallRootBr(roleCmdLine) || is1300RoleInstallNonRootBr(roleCmdLine))
  {
      return true;
  }
  return false;
}

// true - if station role is one of the following:
// station-role workgroup-bridge

function isStationRoleWGB(radioInt) {

    return isRadioRole(radioInt, "CLIENT-WGB");

}

// ture - if 1300 radio 0 station role is one of the following:
// station-role root
// station-role non-root
// station-role install <root|non-root|automatic>

function is1300BridgeRole(roleCmdLine) {
    if (is1300RoleRootBr(roleCmdLine) || is1300RoleNonRootBr(roleCmdLine)
        || is1300RoleInstall(roleCmdLine)) 
    {
       return true;
    }
    return false;
}

// ture - if 1300 radio 0 station role is one of the following:
// station-role root
// station-role install root
// station-role root ap-only [fallback <repeater|shutdown>]

function is1300RoleRoot(roleCmdLine) {

  if (is1300RoleRootBr(roleCmdLine) || is1300RoleAP(roleCmdLine)
      || is1300RoleInstallRootBr(roleCmdLine))
  {
      return true;
  }
  return false;
}

function aesSupport(aesCap, ifnum){
  var pattern = "Dot11Radio" + ifnum + ": AES-CCM"
  if(aesCap.indexOf(pattern) != -1)
    return true;
  else
    return false;
}

function  roleClient(radio, roleCmdLine) {
  var pattern = "Dot11Radio(\\d+)";
  var rn = radio.match(pattern);
  if(rn){
    if( radioRole(rn[1], roleCmdLine, "CLIENT-WGB") || radioRole(rn[1], roleCmdLine, "CLIENT")){
      return true;
    }
  }
  
  return false;
}
/***********************************************/
function roleRadio(num, role) {

  var pattern;
  var results;

  pattern = "Dot11Radio"+num+":[^:]+:([^;]+);";
  results = radio_station_role.match(pattern);

  if (results){
     	results = results[1].match(role);
     	if(results)
     	  return true;
  }
  
  return false;
}

function  clientRole(num) { // non-root or WGB

  if( roleRadio(num, "CLIENT-WGB") || roleRadio(num, "CLIENT")){
      return true;
  }
  
  return false;
}

function repeaterRole(num) { // REPEATER or FALLBACK-REPEATER

  if( roleRadio(num, "REPEATER")){
      return true;
  }
  
  return false;
}

function wgbRole(num) { // Workgroup Bridge

  if( roleRadio(num, "CLIENT-WGB")){
      return true;
  }
  
  return false;
}

